<ion-header no-padding>
  <ion-toolbar>
    <ion-buttons size="small" slot="end">
      <ion-back-button icon="arrow-round-back" color="primary"> </ion-back-button>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary">Search</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
  
    <ion-segment (ionChange)="segmentChanged($event)">
      <ion-segment-button value="trends">
        <ion-label>Trends</ion-label>
      </ion-segment-button>
      <ion-segment-button value="favorites">
        <ion-label>Favorites</ion-label>
      </ion-segment-button>
    </ion-segment>

    <div>
      <div class ="trends">
        <div class="searchbar" >
          <form [formGroup]="searchForm">
            <ion-searchbar showCancelButton="always" formControlName="caption"></ion-searchbar>
          </form>
         </div>
          <ion-select placeholder="Select One" interface="action-sheet" padding>
                <ion-select-option value="" selected>All</ion-select-option>
                <ion-select-option value="week">Weekly</ion-select-option>
                <ion-select-option value="today">Today</ion-select-option>
                <ion-select-option value="month">Month</ion-select-option>
            </ion-select>
            <ion-virtual-scroll [items]="data$ | async" approxItemHeight="500px"  *ngIf="contentLoaded" approxFooterHeight="20px">
                <ion-item lines="none"  *virtualItem="let trend">
                    <ion-thumbnail slot="start">
                        <ion-img [src]="decode(trend.image)" ></ion-img>
                    </ion-thumbnail>
                  <ion-label>
                      <p>{{trend.caption}}</p>
                      <ion-note>
                          {{trend.post_by.email}}
                      </ion-note>
                  </ion-label>
                </ion-item>
            </ion-virtual-scroll> 
            
            <ion-virtual-scroll [items]="data$ | async" approxItemHeight="80px"  *ngIf="!contentLoaded">
                <ion-item lines="none"  *virtualItem="let trend">
                    <ion-thumbnail slot="start">
                        <ion-skeleton-text animated ></ion-skeleton-text>
                    </ion-thumbnail>
                  <ion-label>
                      <p><ion-skeleton-text animated></ion-skeleton-text></p>
                      <ion-note>
                          <ion-skeleton-text animated style="width: 80%"></ion-skeleton-text>
                      </ion-note>
                  </ion-label>
                </ion-item>
            </ion-virtual-scroll> 
      </div>
    </div>

</ion-content>
